var numberOfEntries=10; // // To plithos twn orwn
var entry = new makeArray(numberOfEntries-1);
var url = new makeArray(numberOfEntries-1);
var index = new makeArray(numberOfEntries-1);

var word = unescape(parent.location.search.substring(1));

function makeArray(n) {
	this.length=n;
	for (var i=1;i<=n;i++);
		this[i]=null;
		return this;
	}



//finds matching definition terms
function init() {
if (word=='X') {
parent.frames['items'].location='itemX.htm';

}
else {

	for (var j=0; j<=entry.length; j++) {
	if (word==index[j]) {
		document.glossary.terms.options[j].selected=true;
		parent.frames['items'].location=url[j];
		break; }			
		}
	}
}





function buildTermList() {
var termlist;
var i=-1;
i=i+1;index[i]="0"; entry[i]="Επιλέξτε ένα θέμα";url[i]="";
i=i+1;index[i]="1";entry[i]="Τα καρότα, οι αστακοί και τα μάτια μας" ;url[i]="../carotene.htm";
i=i+1;index[i]="2";entry[i]="Η βροχή που καίει (όξινη βροχή)" ;url[i]="../acidrain.htm";
i=i+1;index[i]="3";entry[i]="Ο σχηματισμός του πετρελαίου" ;url[i]="../petrol.htm";
i=i+1;index[i]="4";entry[i]="H διύλιση του αργού πετρελαίου" ;url[i]="../refinary.htm";
i=i+1;index[i]="5";entry[i]="Το φυσικό καουτσούκ" ;url[i]="../rubber.htm";
i=i+1;index[i]="6";entry[i]="Πως φτιάχνεται η σαμπάνια;" ;url[i]="../sampania.htm";
i=i+1;index[i]="7";entry[i]="Πόσο γλυκιά είναι η ζάχαρη;" ;url[i]="../sweet.htm";
i=i+1;index[i]="8";entry[i]="Τα ναρκωτικά ανταγωνίζονται τις πρωτεΐνες" ;url[i]="../narcotics.htm";
i=i+1;index[i]="9";entry[i]="Αποθήκευση τριγλυκεριδίων και δίαιτα" ;url[i]="../lipids.htm";


	termlist = '<SELECT NAME=terms SIZE=1  onChange="showDef(selectedIndex)">';
	for (var i=0;i<=entry.length;i++) {
		termlist += '<OPTION VALUE="'+url[i]+'">'+entry[i]+ '</OPTION>';
		}
	termlist += "</SELECT>";
	return termlist;

	}

//displays definition on selection
function showDef(index) {
parent.frames['items'].location=url[index];
document.glossary.terms.options[0].selected=true;
	}
